Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.chain.commands
Class AbstractPerformForward

    java.lang.Object
      org.apache.struts.chain.commands.ActionCommandBase
          org.apache.struts.chain.commands.AbstractPerformForward

All Implemented Interfaces:
  org.apache.commons.chain.Command, ActionCommand

Direct Known Subclasses:
  PerformForward

    public abstract class AbstractPerformForward

extends ActionCommandBase

Perform forwarding or redirection based on the specified `ForwardConfig` (if any).

Version:
  $Rev: 471754 $ $Date: 2005-06-04 10:58:46 -0400 (Sat, 04 Jun 2005) $

Field Summary

Fields inherited from interface org.apache.commons.chain.Command
`CONTINUE_PROCESSING, PROCESSING_COMPLETE`

Constructor Summary
`AbstractPerformForward()`

Method Summary
`boolean` | `execute(ActionContext actionCtx)` Perform forwarding or redirection based on the specified `ActionForward` (if any).
`protected abstract void` | `perform(ActionContext context, ForwardConfig forwardConfig)` Perform the appropriate processing on the specified `ForwardConfig`.

Methods inherited from class org.apache.struts.chain.commands.ActionCommandBase
`execute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPerformForward

    public AbstractPerformForward()

Method Detail

### execute

    public boolean execute(ActionContext actionCtx)
                    throws Exception

  Perform forwarding or redirection based on the specified `ActionForward` (if any).

  Specified by:
    `execute` in interface `ActionCommand`
  Specified by:
    `execute` in class `ActionCommandBase`
  Parameters:
    `actionCtx` - The `Context` for the current request
  Returns:
    `true` so that processing completes
  Throws:
    `Exception` - if thrown by the `Action`

### perform

    protected abstract void perform(ActionContext context,
                                    ForwardConfig forwardConfig)
                             throws Exception

  Perform the appropriate processing on the specified `ForwardConfig`.

  Parameters:
    `context` - The context for this request
    `forwardConfig` - The forward to be performed
  Throws:
    `Exception` - if thrown by the `Action`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.